Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 300951 (CVE-2010-0006) - Kernel: ipv6: skb_dst() can be NULL (CVE-2010-0006)
Summary: Kernel: ipv6: skb_dst() can be NULL (CVE-2010-0006)
Status: RESOLVED FIXED
Alias: CVE-2010-0006
Product: Gentoo Security
Classification: Unclassified
Component: Kernel (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://marc.info/?l=linux-netdev&m=12...
Whiteboard: [linux <2.6.34]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-14 09:28 UTC by Bjoern Tropf (RETIRED)
Modified: 2013-09-15 18:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern Tropf (RETIRED) gentoo-dev 2010-01-14 09:28:22 UTC
CVE pending...
Comment 1 Bjoern Tropf (RETIRED) gentoo-dev 2010-01-14 09:34:25 UTC
@Kernel: Please fix this issue in the next genpatch release. (Severity: low)
Comment 2 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-03-02 09:47:18 UTC
CVE-2010-0006 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-0006):
  The ipv6_hop_jumbo function in net/ipv6/exthdrs.c in the Linux kernel
  before 2.6.32.4, when network namespaces are enabled, allows remote
  attackers to cause a denial of service (NULL pointer dereference) via
  an invalid IPv6 jumbogram, a related issue to CVE-2007-4567.